/*
 * MyParameters.cs
 *
 * Document Indexer Persistence
 * Version: 1.0
 *
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved
 *
 * Author: TCSDEVELOPER
 */

namespace TopCoder.Document.Index.Persistence.Tests
{
    /// <summary>
    /// An empty implementation of <see cref="IParameters"/>.
    /// Used by unit tests to make sure that an exception is thrown by some methods
    /// that expect a <see cref="SimpleIndexParameters"/>.
    /// </summary>
    ///
    /// <threadsafety static="true" instance="true"/>
    public class MyParameters : IParameters
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MyParameters"/> class.
        /// </summary>
        public MyParameters()
        {
        }
    }
}

